#include "CallMgr.h"
#include "Directory.h"
#include "Player.h"
#include "Printer.h"
#include "StreamMgr.h"

using namespace Blinker;

int main()
{
  CallMgr callMgr;
  StreamMgr streamMgr;

  Player player(callMgr, streamMgr, Directory("../example.cfg/players/hdl"));
  Printer printer(streamMgr, Directory("../example.cfg/printers/hdl"));

  callMgr.run();

  return 0;
}

